[Pkg-voip-commits] r5112 - in /asterisk/trunk/debian: asterisk-config.preinst changelog

paravoid at alioth.debian.org paravoid at alioth.debian.org
Thu Dec 20 08:23:40 UTC 2007


Author: paravoid
Date: Thu Dec 20 08:23:40 2007
New Revision: 5112

URL: http://svn.debian.org/wsvn/pkg-voip/?sc=1&rev=5112
Log:
* Remove modem.conf on upgrades from 1.2 (i.e. etch). (Closes: #454332)

Added:
    asterisk/trunk/debian/asterisk-config.preinst
Modified:
    asterisk/trunk/debian/changelog

Added: asterisk/trunk/debian/asterisk-config.preinst
URL: http://svn.debian.org/wsvn/pkg-voip/asterisk/trunk/debian/asterisk-config.preinst?rev=5112&op=file
==============================================================================
--- asterisk/trunk/debian/asterisk-config.preinst (added)
+++ asterisk/trunk/debian/asterisk-config.preinst Thu Dec 20 08:23:40 2007
@@ -1,0 +1,59 @@
+#! /bin/sh
+# preinst script for hostapd
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <new-preinst> `install'
+#        * <new-preinst> `install' <old-version>
+#        * <new-preinst> `upgrade' <old-version>
+#        * <old-preinst> `abort-upgrade' <new-version>
+#
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+# Remove a no-longer used conffile
+rm_conffile() {
+    PKGNAME="$1"
+    CONFFILE="$2"
+
+    if [ -e "$CONFFILE" ]; then
+	md5sum="`md5sum \"$CONFFILE\" | sed -e \"s/ .*//\"`"
+	old_md5sum="`dpkg-query -W -f='${Conffiles}' $PKGNAME | sed -n -e \"\\\\' $CONFFILE'{s/ obsolete$//;s/.* //p}\"`"
+	if [ "$md5sum" != "$old_md5sum" ]; then
+		echo "Obsolete conffile $CONFFILE has been modified by you."
+		echo "Saving as $CONFFILE.dpkg-bak ..."
+		mv -f "$CONFFILE" "$CONFFILE".dpkg-bak
+	else
+		echo "Removing obsolete conffile $CONFFILE ..."
+		rm -f "$CONFFILE"
+	fi
+    fi
+}
+
+case "$1" in
+    install|upgrade)
+	# chan_modem was removed on 1.4+
+        if dpkg --compare-versions "$2" lt "1:1.4.0-1~"; then
+            rm_conffile asterisk-config "/etc/asterisk/modem.conf"
+        fi
+    ;;
+
+    abort-upgrade)
+    ;;
+
+    *)
+        echo "preinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0

Modified: asterisk/trunk/debian/changelog
URL: http://svn.debian.org/wsvn/pkg-voip/asterisk/trunk/debian/changelog?rev=5112&op=diff
==============================================================================
--- asterisk/trunk/debian/changelog (original)
+++ asterisk/trunk/debian/changelog Thu Dec 20 08:23:40 2007
@@ -11,8 +11,9 @@
   * Make the init script's detection of a running daemon to be more precise.
   * Backport a chan_iax2 segfault fix from upstream, upstream issue #11602.
   * Bump Standards-Version to 3.7.3, no changes needed.
-
- -- Faidon Liambotis <paravoid at debian.org>  Thu, 20 Dec 2007 08:52:25 +0200
+  * Remove modem.conf on upgrades from 1.2 (i.e. etch). (Closes: #454332)
+
+ -- Faidon Liambotis <paravoid at debian.org>  Thu, 20 Dec 2007 10:23:16 +0200
 
 asterisk (1:1.4.15~dfsg-1) unstable; urgency=low
 




More information about the Pkg-voip-commits mailing list